<?php 

  require ("b2config.php");
  require_once("fase4_rdf/rdf.class.php");
  require_once("b2links.config.php");
  require_once ($b2inc.'/b2vars.php');
  require_once ($b2inc.'/b2template.functions.php');
  require_once ($b2inc.'/b2functions.php');

  $rss_link_category = 'RDF';

  function start_timer() {
    list($low, $high) = split(" ", microtime());
    $t = $high + $low;
    flush();
    return $t;
  }

  function next_timer($start, $event) {
    list($low, $high) = split(" ", microtime());
    $t    = $high + $low;
    $used = $t - $start;
    printf("%s (%8.4f)<br>\n", $event, $used);
    flush();
    return $t;
  }

  function make_html_from_rdf($f_rdf, $num_entries) {
    $rdf = new fase4_rdf;
    $rdf->set_CacheDir("/var/tmp");
    $rdf->use_dynamic_display(true);

    if ($num_entries != '0') {
      $rdf->set_max_item($num_entries);
    }

    $rdf->parse_RDF($f_rdf);
    echo "<br>";
    if($rdf->is_cachedFile()) {
        $type = "Cached File, (type: ".$rdf->get_CacheType().")";
    } else {
        $type = "Remote File";
    }
    $rdf->finish();
    return $type;
  }

?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head> 
   <title>CJC.org RDF feeds</title> 
    <style type="text/css">
    @import url( layout2b.css );
    .fase4_rdf {
    	font-size: 11px;
    	font-family: verdana, arial, helvetica, sans-serif;
    }
    .fase4_rdf_title {
        font-size: 12px;
    	font-weight : bolder;    
    }
    .fase4_rdf_input {
        border: dotted 1px #6699cc; 
        font-size: 10px;
    	font-family: verdana, arial, helvetica, sans-serif;
    	background-color: #f5f5f5;   
    }
    .fase4_rdf_meta {
        background-color: #a5a5f5;  
        font-size: 9px;
    }
   </style>
</head> 
<body> 

<?php 

  global $tablelinks ;

  $db = mysql_connect($dbhost, $dbusername, $dbpassword) or die("Cannot connect to the database");
  mysql_select_db($dbname) or die("Cannot select the database");

  $sql = "SELECT cat_id FROM $tablelinkcategories WHERE cat_name = '$rss_link_category'";

  $result = mysql_query($sql)
            or die("Couldn't execute query. " . $sql . mysql_error());

  if ($row = mysql_fetch_object($result)) {
    $b2linkcategory = $row->cat_id;
  } else {
    die("There is no Link Category called 'RDF'");
  }

  $sql = "SELECT link_name, link_url, link_rating FROM $tablelinks WHERE link_category = $b2linkcategory ORDER BY link_name";

  $result = mysql_query($sql)
            or die("Couldn't execute query. " . $sql . mysql_error());

  while ($row = mysql_fetch_object($result)) {

    $f_rdf = $row->link_url ;
    $num_entries = $row->link_rating ;

    if ( $f_rdf != null ) {

      echo '<a name="' . $row->link_name . '">&nbsp;</a>';
      $type = make_html_from_rdf( $f_rdf, $num_entries );

    } else {
      echo '<div class="fase4_rdf_meta">';
      echo $row->link_name . " does not have an associated URL in the database.\n";
      echo "</div>\n";
    }
  }

?>

    <p>&nbsp;</p>
    <p>&nbsp;</p>
</body> 
</html>   
